Get Transaction
curl --request GET \
--url https://api.waycore.com/v1/transactions/{transactionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.waycore.com/v1/transactions/{transactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.waycore.com/v1/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"postedDate": "2023-12-25",
"updatedAt": "2023-11-07T05:31:56Z",
"amount": "<string>",
"currency": "<string>",
"entryType": "credit",
"description": "<string>",
"rail": "internalTransfer",
"rawDescription": "<string>",
"customerReference": "<string>",
"bankReference": "<string>",
"baiCode": "<string>",
"category": "<string>",
"subcategory": "<string>",
"mcc": "<string>",
"merchantName": "<string>",
"counterpartyName": "<string>",
"counterpartyAccountMasked": "<string>"
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}transactions
Get Transaction
GET /v1/transactions/
Get a single canonical transaction for customer API clients.
GET
/
v1
/
transactions
/
{transactionId}
Get Transaction
Authorizations
Opaque API key passed as Authorization: Bearer <key>. Keys are organization-bound, environment-bound (live or test), scope-carrying, and expiring. Create and manage keys via the console.
Path Parameters
Query Parameters
Response
Successful Response
Transaction lifecycle status. Current implementation emits only pending and posted; other values are reserved for future use.
Available options:
pending, posted, reversed, cancelled, unknown When the serialized public transaction representation last changed. It advances when a change would alter a field currently exposed by this API. Internal-only changes and changes to data not currently surfaced here do not change updatedAt.
Available options:
credit, debit Available options:
internalTransfer, card, ach, pix, caEft, auNpp, auBecsDirectEntry, auRtgs, sepaCredit, sepaDebit, bacsDirectDebit, wire, swift, fasterPayments, check, cash, crypto, other, unknown